from PIL import Image, ImageDraw

CELL_SIZE = 16

def to_coord(n):
    return int((n+0.5)*CELL_SIZE)

def draw(grid):
    im = Image.new("L", (CELL_SIZE*(len(grid[0]) if grid else 0), CELL_SIZE*len(grid)), 255)
    dw = ImageDraw.Draw(im)
    for y in range(len(grid)):
        for x in range(len(grid[0])):
            if not grid[y][x]:
                continue
            for nx, ny in ((x+1, y), (x-1, y), (x, y+1), (x, y-1)):
                if not (0 <= nx < len(grid[0]) and 0 <= ny < len(grid) and grid[ny][nx]):
                    continue
                dw.line(tuple(map(to_coord, (x, y, nx, ny))))
    return im
